Bug 336277 - Can`t seem to be able to create an observing list of stars by their HD number!
Summary: Can`t seem to be able to create an observing list of stars by their HD number!
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mint (Debian based) Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-15 20:51 UTC by Steve
Modified: 2014-07-23 05:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve 2014-06-15 20:51:43 UTC
I get the error message `Unnamed stars not supported in the observing list`

Reproducible: Always

Steps to Reproduce:
1.Start to create an observing list, select stars
2.Enter an object such as HD224303, click on `details` 
3.select `add to catalogue`
Actual Results:  
I get the error message `Unnamed stars not supported in the observing list` and unable to goto the objects I want

Expected Results:  
creat a list of stars listed by their HD number

Or if possible an object`s RA and Dec coordinates could be selected but again that option is not available. My main use is spectroscopy and being able to choose and slew to the star on my list is important. If I`m not able to slew to a chosen star then heaven forbid I may have to go back to Windows!!!
Comment 1 Jasem Mutlaq 2014-06-17 10:53:12 UTC
Git commit 577f1b51f70b3f0262e15fe819409f6913e5ca91 by Jasem Mutlaq.
Committed on 17/06/2014 at 10:51.
Pushed by mutlaqja into branch 'master'.

Enable adding of nameless stars in HD catalog to observing list. More works need to be done still.

M  +19   -1    kstars/oal/execute.cpp
M  +5    -0    kstars/oal/execute.h
M  +58   -76   kstars/tools/observinglist.cpp
M  +5    -0    kstars/tools/observinglist.h

http://commits.kde.org/kstars/577f1b51f70b3f0262e15fe819409f6913e5ca91
Comment 2 Steve 2014-06-20 22:53:10 UTC
(In reply to comment #0)
> I get the error message `Unnamed stars not supported in the observing list`
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 1.Start to create an observing list, select stars
> 2.Enter an object such as HD224303, click on `details` 
> 3.select `add to catalogue`
> Actual Results:  
> I get the error message `Unnamed stars not supported in the observing list`
> and unable to goto the objects I want
> 
> Expected Results:  
> creat a list of stars listed by their HD number
> 
> Or if possible an object`s RA and Dec coordinates could be selected but
> again that option is not available. My main use is spectroscopy and being
> able to choose and slew to the star on my list is important. If I`m not able
> to slew to a chosen star then heaven forbid I may have to go back to
> Windows!!!

I can`t seem to add more than one object into an observing list which if I keep trying to add one then Kstars crashes!